package com.io.yaohun.worldbosshurt.listener;

import com.io.yaohun.worldbosshurt.Main;
import io.lumine.xikage.mythicmobs.api.bukkit.events.MythicMobSpawnEvent;
import io.lumine.xikage.mythicmobs.mobs.MythicMob;
import org.bukkit.Bukkit;
import org.bukkit.entity.Entity;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;

import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

public class SpawnPut implements Listener {

    public static List<UUID> WhiteBossList = new ArrayList<>();

    @EventHandler
    public void onSpawnBlockEvent(MythicMobSpawnEvent e) {
        if (e.getEntity() instanceof org.bukkit.entity.LivingEntity) {
            // 获取怪物
            MythicMob mythicMob = e.getMobType();
            // 获取怪物的名字
            String customName = mythicMob.getDisplayName().get();
            if(Main.bossManage.isCustomNameContains(customName)) {
                Entity entity = e.getEntity();
                // 获取BOSS的uuid
                UUID uuid = entity.getUniqueId();
                // 将Boss存入 HashMap 中
                WhiteBossList.add(uuid);
                Bukkit.getConsoleSender().sendMessage("[日志-UUID导入] Boss "+customName+" §r已被录入List");
            }
        }
    }
}
