package com.io.yaohun.worldbosshurt.mangage;

import com.io.yaohun.worldbosshurt.Main;
import com.io.yaohun.worldbosshurt.data.BossData;
import org.bukkit.Bukkit;
import org.bukkit.configuration.file.FileConfiguration;

import java.util.HashMap;
import java.util.List;

public class BossManage {

    private List<String> customNameList; // 获取boss名列表
    private final HashMap<String,BossData> bossDataMap = new HashMap<>();

    public BossManage(FileConfiguration yml) {
        for (String bossKey : yml.getConfigurationSection("BossData").getKeys(false)){
            bossDataMap.put(bossKey,new BossData(bossKey,yml));
            String customName = yml.getString("BossData."+bossKey+".name");
            customNameList.add(customName);
        }
        Bukkit.getConsoleSender().sendMessage("§b[BossHurt] §f已导入Boss: §a" + customNameList.size() + "只");
    }


    public boolean isCustomNameContains(String customName){
        for (String name : this.customNameList){
            if(customName.contains(name)){
                return true;
            }
        }
        return false;
    }


}
